/***********************************************************************
	CommAnalyzer.h
	
	Created:	Sunday, July 25, 1993, 10:26 PM
	Project:	CommAnalyzer.
	Compiler:	6.0,  Symantec Corporation 1993
	By:			Greg Ames

	Copyright  1993,1993 Ames & Associates.
	All rights reserved. 

	AppleLink:AMES
	AOL:AMES
	Compuserve:73177,1603

***********************************************************************/

#pragma once

#define	width	4
#define	high	5

#define	OFFSETRECT(z,x,y)	z.left +=x; z.right+=x;z.top+=y;z.bottom+=y;
#define	kCapture	1024

#define kLastSlot	(kCapture-1)

#define	kHexWidth 	(width*2 + 1)
#define	kHexHigh 	(high*4	+ 1)

#define	kOffsetHigh 	16
#define	kOffsetWidth 	8


void reDraw(void);
void clearBuffer(void);
void startOffscreen(void);

void idleAnalyser(void);
void initAnalyser(void);

short loadFile(void);
short saveFile(void);
short	openFile(AppFile	fileStuff);

extern short chaBuffer[],chbBuffer[];
extern short slot;

extern	WindowPtr bullseyeWindow;
extern	short ain,bin,aout,bout;
extern	short mode;
