/***********************************************************************
	CommAnalyzerWindow.c
	
	Created:	Wednesday, April 21, 1993, 11:26 AM
	Project:	CommAnalyzer.
	Compiler:	6.0,  Symantec Corporation 1993
	By:			Greg Ames

	Copyright  1993,1993 Ames & Associates.
	All rights reserved. 

	AppleLink:AMES
	AOL:AMES
	Compuserve:73177,1603

***********************************************************************/

#include "CommAnalyzerWindow.h"
#include "CommAnalyzer.h"

void initAnalyser(void);

WindowPtr	bullseyeWindow;
Rect		dragRect;
Rect		windowBounds = { 40, 40, 150, 150 };
Rect		circleStart = {10, 10, 100, 100};

/****
 * SetUpWindow()
 *
 *	Create the Bullseye window, and open it.
 *
 ****/

void SetUpWindow(void)

{
	dragRect = screenBits.bounds;
	
	bullseyeWindow = GetNewWindow(128,0L, (WindowPtr) -1L);
	SetPort(bullseyeWindow);
	
	initAnalyser();
}
/* end SetUpWindow */


/*****
 * DrawBullseye()
 *
 *	Draws the bullseye.
 *
 *****/

void DrawBullseye(short active)

{
	Rect	myRect;
	int		color = true;
	
	
	reDraw();
	
}
